# 🚀 ApolloNvim
#### Verze: 25.01
#### [The English version can be found under this link](#english)
![ApolloNvim](./img/apollonvim.jpg)
# Programování je mnohem zábavnější, když jste efektivní. Neovim vás tam může časem dostat, ale musíte být ochotni zkoušet nové věci. Nové pluginy, nové remapy atd. 

[Plugins](./plugins.md)

## Úvod:
* **Vždy se podívej před instalací nových pluginu, na  dokumentaci k plaginům na Githubu. Předejdeš tím případným problémům! Pokud si nejsi jistý postupem nebo ti není něco jasné, tak raději se podívej do dokumentace, napiš nám nebo na fórech najdeš odpověď. Táke si vše vždy před změnou vše zálohuj!**
* 👉 Neovim  setup pro Front-End vývoj postavený na [Plug.vim](https://github.com/junegunn/vim-plug), [Coc](https://github.com/neoclide/coc.nvim) a [Lua](https://neovim.io/doc/user/lua-guide.html).
* 👉 Výhody Neovim oproti klasickému IDE jsou nesporně ve svobodě konfigurace, je tisíce možností, jak Váš Neovim může vypadat a fungovat. Pro Vaši inspiraci a použití vznikl tento projekt 🚀 ApolloNvim.
* 👉 Tato distribuce nefunguje jen, že kliknete na tlačítko a nainstaluje se. Vede Vás k samostatné instalaci pomocí tohoto webu. Cílem je pochopit, jak Neovim funguje, abyste si sami mohli vše modifikovat, což i click-on distribucí se nenaučíte.
* 👉 Dvě Edice 🚀ApolloNvim Starter za měřenou na práci s texty díky podpoře markdown a FrontEnd Edice zaměřená na vývoj webů.
* 👉 🚀ApolloNvim FrontEnd Editions - toto nastavení jsem vytvořil pro vývoj webu. Inspiroval jsem se pluginy, které jsem využíval v VSCode a Webstorm.
* 👉 V říjnu 2024 byla nově přidána podpora PHP a také Automatická instalace puginu.
* 👉 Velký důraz je kladen na rychlost a lehkost.
* 👉 🚀 ApolloNvim Distro je pravidelně aktualizováno tak i celý projekt.
* 👉 Pro nejlepší zážitek s 🚀 ApolloNvim Distro doporučuji používat multiplexor [Zellij](https://git.arch-linux.cz/kankys/zellij-mySetup) nebo [Terminator](https://gnome-terminator.org/), ale není to samozřejmě podmínkou.
## Přednosti:
* 👉 Hlavní předností tohoto nastavení jsou podpora: Codeium alternativa k Copilot zdarma, Prettier, AutoSave, diplňování HTML, CSS, JS a zkratky k zakomentování a odkomentování kódu (CTRL + k). Také je zde několik pluginu pro příjemnější práci v Neovim.
* 👉 S [LSP](https://github.com/neovim/nvim-lspconfig) v této instalaci využívám [Coc](https://github.com/neoclide/coc.nvim) pro jeho jednoduchost, stabilitu a rychlost. 
* 👉 Ty nejlepší témata pro Neovim (ať je nemusíte hledat), je defaultně nastavéné GitHub Dark.
* 👉 Téma v Neovim si jednoduše změníte v command line příkazem `colorscheme` a tlačítkem Tab se budete přepínat mezi jednotlivými tématy.

    
## Instalace a nastavení Start Editions:
* 👉 Pokud ještě nemáte, nainstalujte si [Neovim](https://neovim.io/).
* 👉 Bude potřeba nainstalovat plug.vim abyste mohl/a instalovat rozšíření.
* 👉 Běžte na tuto [stránku](https://github.com/junegunn/vim-plug) pod Installation si najděte svůj operační systém a zkopírujte odkaz pod ním do svého terminálu.
* 👉 Pokud už Neovim máte naistalovaný, **nejprve si však zálohujte své aktuální nastavení Neovim!!!**

Konfigirační soubory najdeš zde:

Linux & Mac:

``
/home/user/.config/nvim/init.vim
`` 

Windows:

``
~/AppData/Local/nvim/init.vim
``

### Neovim:
* 👉 Nejjednoduší způsob pro instalaci 🚀 ApolloNvim Distra pro Linux a MacOS si stačí stáhnout tento repozitář příkazem : `git clone -b nvim https://codeberg.org/ApolloNvim/ApolloNvim2025.git ~/.config/nvim`.
* 👉 Pozor tento příkaz výše vám přepíše dosavadní složku nvim v ~/.config/nvim. **Nezapomeňte na zálohu stávající složky nvim než ji přepíšete novou s tohoto repozitáře například že původní přejmenujete nvim.bak**.
* 👉 Ale pokud chcete můžete si Nvim nakonfigurovat dle sebe a jen se inspirovat.
* 👉 Neovim pustíte v terminálu příkazem `nvim`.
* 👉 Odklikejte chybová hlášení.
* 👉 V Neovimu zadejte do command line `PlugInstall` , tím nainstalujete všechny pluginy. Restartujte Neovim. Command Line vyvoláte klávesovou zkratkou `SHIFT + :`.
* 👉 Pokud Vám některý plugin chybí, můžete lehce doinstalovat  nebo odinstalovat pomocí `vim.plug`. Více informací najdete na GitHubu [vim.plug](https://github.com/junegunn/vim-plug) nebo velmi rád poradím viz. o nás.
* 👉 Pokud některý plugin nechcete používat stačí ho v souboru `init.vim` zakomentovat pomocí dvojitých uvozovek `"`.
* 👉 Do command line ještě zadejte Coc příkaz, pro doinstalování zbylých pluginů `CocInstall coc-markdown-preview-enhanced coc-webview`. A ještě jednou restartujte Neovim a vše máte připravené.
* 👉 Pokud se Vám vše nechce instalovat ručně můžete stáhnout tento repožitář a nainstalujte si pouze `vim.plug` a COC (jak nainstalovat vim.plug najdeš výšše) a pak stačí jen použít příkaz `:PlugInstall` a vše Vám bude hned fungovat. 
* 👉 Některé plaginy potřebují na konfigurovat v jazyce Lua. Jak na to se dozvíš v readme [18. Konfigurace Lua](readme/
).
* 👉 Tuto konfiguraci používám na Linuxu i MacOS. Je odzkoušena i na Windows 11.

## Instalace a nastavení FrontEnd Editions:
* 👉 Pokud ještě nemáte, nainstalujte si [Neovim](https://neovim.io/).
* 👉 Bude potřeba nainstalovat plug.vim abyste mohl/a instalovat rozšíření.
* 👉 Běžte na tuto stránku [stránku](https://github.com/junegunn/vim-plug) pod Installation si najděte svůj operační systém a zkopírujte odkaz pod ním do svého terminálu.
* 👉 Pokud už Neovim máte naistalovaný, **nejprve si však zálohujte své aktuální nastavení Neovim!!!**

Konfigirační soubory najdeš zde:

Linux & Mac:

``
/home/user/.config/nvim/init.vim
`` 

Windows:

``
~/AppData/Local/nvim/init.vim
``

### Node.js:
* 👉 Doporučuji i mít nainstalovaný [Node.js](https://nodejs.org/en) 
* 👉 Dále si v Node.js nainstalujte [Live-server](https://www.npmjs.com/package/live-server) příkazem `npm i live-server`.
* 👉 Ve svém adresáři projektu budete moci pouštět svůj index.html příkazem `npx live-server`.
* 👉 Pro správnou funkčnost LSP si doinstalujte tyto balíčky:

Pokud vám terminál vypíše chybu při použití příkazu npm. Bude potřeba balíček instalovat jako sudo.



[vscode-html-language-server](https://github.com/microsoft/vscode-html-languageservice)

[vscode-css-language-server](https://github.com/microsoft/vscode-css-languageservice)

[typescript-language-server](https://github.com/typescript-language-server/typescript-language-server)

[emmet-ls](https://github.com/aca/emmet-ls)

[tailwindcss-language-server](https://github.com/tailwindlabs/tailwindcss-intellisense/blob/master/packages/tailwindcss-language-server/README.md)

### Neovim:
* 👉 Nejjednoduší způsob pro instalaci 🚀 ApolloNvim Distra pro Linux a MacOS si stačí stáhnout tento repozitář příkazem : `git clone -b frontend https://codeberg.org/ApolloNvim/ApolloNvim2025.git ~/.config/nvim`.
* 👉 Pozor tento příkaz výše vám přepíše dosavadní složku nvim v ~/.config/nvim. **Nezapomeňte na zálohu stávající složky nvim než ji přepíšete novou s tohoto repozitáře například že původní přejmenujete nvim.bak**.
* 👉 Ale pokud chcete můžete si Nvim nakonfigurovat dle sebe a jen se inspirovat.
* 👉 Neovim pustíte v terminálu příkazem `nvim`.
* 👉 Odklikejte chybová hlášení.
* 👉 V Neovimu zadejte do command line `PlugInstall` , tím nainstalujete všechny pluginy. Restartujte Neovim. Command Line vyvoláte klávesovou zkratkou `SHIFT + :`.
* 👉 Pokud Vám některý plugin chybí, můžete lehce doinstalovat  nebo odinstalovat pomocí `vim.plug`. Více informací najdete na GitHubu [vim.plug](https://github.com/junegunn/vim-plug) nebo velmi rád poradím viz. o nás.
* 👉 Pokud některý plugin nechcete používat stačí ho v souboru `init.vim` zakomentovat pomocí dvojitých uvozovek `"`.
* 👉 Do command line ještě zadejte Coc příkaz, pro doinstalování zbylých pluginů `CocInstall  coc-tailwindcss coc-json coc-html-css-support coc-html coc-emmet coc-xml coc-tsserver coc-lsp-wl coc-lit-html coc-htmldjango coc-css coc-markdown-preview-enhanced coc-webview coc-phpls coc-prettier coc-eslint`. A ještě jednou restartujte Neovim a vše máte připravené.
* 👉 Pokud se Vám vše nechce instalovat ručně můžete stáhnout tento repožitář a nainstalujte si pouze `vim.plug` a COC (jak nainstalovat vim.plug najdeš výšše) a pak stačí jen použít příkaz `:PlugInstall` a vše Vám bude hned fungovat. 
* 👉 Některé plaginy potřebují na konfigurovat v jazyce Lua. Jak na to se dozvíš v readme [18. Konfigurace Lua](readme/
).
* 👉 Tuto konfiguraci používám na Linuxu i MacOS. Je odzkoušena i na Windows 11.


### Plán 🚀 ApolloNvim:
- 👉 Do budoucna můžete očekávat tyto nové funkce a další novinky:
- 👉 Nová vlastní uvítací obrazovka.
- 👉 Nové pluginy.
- 👉 Návody k pluginům, jak nastavit a jak s nimi pracovat.
- 👉 Návody k práci s Neovim.


### Otázky a odpovědi:
* 👉 Kolik stojí 🚀 ApolloNvim? -> Nic 🚀 ApolloNvim je zdarma.
* 👉 Jak je moc složitý 🚀 ApolloNvim? ->  🚀 ApolloNvim je možná složitější než ostatní editory, ale jak se sním človek naučí zjistí jak je skvělý editor.

### Kontakty:
* 👉 [🚀 ApolloNvim Telegram](https://t.me/apollonvim)
* 👉 [Osobní web autora 🚀 ApolloNvim ](https://lukaskanka.cz/)

### Podpora:
* 👉 Pokud jakkoliv chcete podpořit nebo se podílet na obsahu a funkčnosti 🚀 ApolloNvim, budu rád, když mi zde napíšete.
* 👉 Taky můžete tento projekt podpořit pár Satoshi:

![SAT](https://lukan.cz/wp-content/uploads/2025/01/0a895d16-ce64-4e8a-9a9d-05c568dc916e_1124x1532-220x300.webp)

### Další projekty a odkazy:
* 👉 [Web autora tohoto projektu](https://lukaskanka.cz/)
* 👉 [ArchLinux CZ](https://arch-linux.cz/)
* 👉 [Vyhledávač SearXNG CZ](https://searxng.cz/)
* 👉 [EndeavourOS Linux](https://endeavouros.cz/)


### Vtip na závěr:
Víte proč má Vim tolik uživatelů? Protože ho neumí vypnout.

________________________________________________________________

# 🚀 ApolloNvim {#english}
#### Verzion: 25.01

# Programming is much more fun when you are efficient. Neovim can get you there eventually, but you have to be willing to try new things. New plugins, new remaps, etc.



👉 Neovim setup for Front-End development based on  [Plug.vim](https://github.com/junegunn/vim-plug), [Coc](https://github.com/neoclide/coc.nvim) and [Lua](https://neovim.io/doc/user/lua-guide.html).

👉 The advantages of Neovim over a classic IDE are undeniable in the freedom of configuration, there are thousands of possibilities how your Neovim can look and work. For your inspiration and use this project was created 🚀 ApolloNvim.

👉 This distribution doesn't just work by clicking a button and installing. It will lead you to a separate installation using this site. The goal is to understand how Neovim works so you can modify everything yourself, which even click-on distributions don't teach you.

👉 Two Editions 🚀ApolloNvim Starter for scaled to work with text thanks to markdown support and FrontEnd Edition focused on web development.

👉 This setting is primarily for web development. I was inspired by the plugins I used in VSCode and Webstorm.

👉 In October 2024, PHP support was newly added as well as Automatic pugin installation.

👉 Great emphasis is placed on speed and lightness.

👉 🚀 ApolloNvim Distro is regularly updated and so is the whole project.

👉 For the best experience with 🚀 ApolloNvim Distro, I recommend using [Zellij](https://git.arch-linux.cz/kankys/zellij-mySetup)  or [Terminator](https://gnome-terminator.org/), multiplexor, but it's not a requirement of course.

![ApolloNvim](./img/apollonvim.jpg)


## Advantages:

👉 The main advantages of this setup are support for Codeium, a free alternative to Copilot, Prettier, AutoSave, HTML, CSS, JS dipping and shortcuts to comment and uncomment code (CTRL + k). There are also several plugins to make working in Neovi more enjoyable.

👉 With [LSP](https://github.com/neovim/nvim-lspconfig) in this installation I use  [Coc](https://github.com/neoclide/coc.nvim) for its simplicity, stability and speed.

👉 The best themes for Neovim (so you don't have to search for them) is the default Dracula.

👉 To change the theme in Neovi, simply use the `:colorscheme` command in the command line and use the Tab button to switch between themes.


## Plan 🚀ApolloNvim:

👉 You can expect these new features and more in the future:

👉 Installer 🚀 ApolloNvim via link from Git.

👉 New custom welcome screen.

👉 New plugins.
👉 Tutorials on plugins, how to set them up and how to work with them.

👉 Instructions for working with Neovim.

## Questions and Answers:

👉 How much does ApolloNvim cost? -> Nothing 🚀 ApolloNvim is free.

👉 How complicated is 🚀 ApolloNvim? -> 🚀 ApolloNvim may be more complicated than other editors, but once you learn how to use it, you'll see how great it is.

# 🚀 ApolloNvim

# Before installing new plugins, always check the documentation for the plugins on Github. This will prevent potential problems! If you're not sure about the procedure or something is not clear, you'd better check the documentation,write to us or the forums to find the answer.

## Installation and setup Start Edition:

👉 If you don't have it yet, install [Neovim](https://neovim.io/).

👉 You will need to install plug.vim to install the extension.

👉 Go to this [page](https://github.com/junegunn/vim-plug) under Installation find your operating system and copy the link under it into your terminal.

**But first back up your current Neovim settings!!!**

Configuration files can be found here:

 Linux & Mac:
``
/home/user/.config/nvim/init.vim
``

Windows:

``
~\AppData\Local\nvim
``

### Neovim:

👉 The easiest way to install 🚀 ApolloNvim Distro for Linux and macOS is to download this repository with the command :

``git clone -b nvim https://codeberg.org/ApolloNvim/ApolloNvim2025.git ~/.config/nvim``

👉 Note this command above will overwrite the existing nvim folder in ~/.config/nvim. **Don't forget to back up the existing nvim folder before you overwrite it with a new one from this repository, for example by renaming the original nvim.bak.**

👉 But if you want you can configure Nvim to your liking and just get inspired.

👉 You can run neovim in the terminal with the ``nvim`` command.

👉 Click on error messages.

👉 In Neovim, type ``PlugInstall`` in the command line , this will install all plugins. Restart Neovim. Command Line is invoked with the keyboard shortcut ``SHIFT + :``.

👉 If you are missing a plugin, you can easily install or uninstall it using plug.vim. You can find more information on GitHub [vim.plug](https://github.com/junegunn/vim-plug) or I'd be happy to advise you see about us.

👉 If you don't want to use a plugin, just comment it out in the init.vim file using double quotes ``"``.

👉 Enter the Coc command in the command line to install the remaining plugins:
``
CocInstall coc-markdown-preview-enhanced coc-webview
``
👉 Reboot Neovim once more and you're all set.

👉 I use this configuration on both Linux and macOS. It is also tested on Windows 11.
## Installation and setup FrontEnd Edition:

👉 If you don't have it yet, install [Neovim](https://neovim.io/)
.

👉 You will need to install plug.vim to install the extension.

👉 Go to this [page](https://github.com/junegunn/vim-plug) under Installation find your operating system and copy the link under it into your terminal.

**But first back up your current Neovim settings!!!**

Configuration files can be found here:

Linux & Mac:

``
/home/user/.config/nvim/init.vim
``

Windows:

``
~\AppData\Local\nvim
`
`
### Node.js:


👉 I recommend to have [Node.js](https://nodejs.org/en) installed.

👉 Next, install the [Live-server](https://www.npmjs.com/package/live-server) in Node.js with the command:

``
npm i live-server
``

👉 In your project you will be able to run your index.html command:

``
npx live-server
``

👉 For proper LSP functionality, install the following packages:

If the terminal gives you an error when you use the npm command. You will need to install the package as sudo.

[vscode-html-language-server](https://github.com/microsoft/vscode-html-languageservice)

[vscode-css-language-server](https://github.com/microsoft/vscode-css-languageservice)

[typescript-language-server](https://github.com/typescript-language-server/typescript-language-server)

[emmet-ls](https://github.com/aca/emmet-ls)

[tailwindcss-language-server](https://github.com/tailwindlabs/tailwindcss-intellisense/blob/master/packages/tailwindcss-language-server/README.md)

### Neovim:

👉 The easiest way to install 🚀 ApolloNvim Distro for Linux and macOS is to download this repository with the command :

``
git clone -b frontend https://codeberg.org/ApolloNvim/ApolloNvim2025.git ~/.config/nvim
``

👉 Note this command above will overwrite the existing nvim folder in ~/.config/nvim. **Don't forget to back up the existing nvim folder before you overwrite it with a new one from this repository, for example by renaming the original nvim.bak**.

👉 But if you want you can configure Nvim to your liking and just get inspired.

👉 You can run neovim in the terminal with the ``nvim`` command.

👉 Click on error messages.

👉 In Neovim, type PlugInstall in the command line , this will install all plugins. Restart Neovim.

👉 If you are missing a plugin, you can easily install or uninstall it using plug.vim. You can find more information on GitHub  [vim.plug](https://github.com/junegunn/vim-plug){target="_blank"} or I'd be happy to advise you see about us.

👉 If you don't want to use a plugin, just comment it out in the ``init.vim`` file using double quotes ``"``.

👉 Enter the Coc command in the command line to install the remaining plugins:

``
CocInstall coc-tailwindcss coc-json coc-html-css-support coc-html coc-emmet coc-xml coc-tsserver coc-lsp-wl coc-lit-html coc-htmldjango coc-css coc-markdown-preview-enhanced coc-webview coc-phpls coc-prettier coc-eslint
``

👉 Reboot Neovim once more and you're all set.

👉 I use this configuration on both Linux and macOS. It is also tested on Windows 11.



### Contact:
* 👉 [🚀 ApolloNvim Telegram](https://t.me/apollonvim)
* 👉 [Author's personal website  🚀 ApolloNvim ](https://lukaskanka.cz/)

### Support:
* 👉 If in any way you want to support or contribute to the content and functionality of 🚀 ApolloNvim, I'd be happy to hear from you.
* 👉 You can also support this project with a few Satoshi:

![SAT](https://lukan.cz/wp-content/uploads/2025/01/0a895d16-ce64-4e8a-9a9d-05c568dc916e_1124x1532-220x300.webp)

### More projects and links:
* 👉 [ArchLinux CZ](https://arch-linux.cz/)
* 👉 [Vyhledávač SearXNG CZ](https://searxng.cz/)
* 👉 [EndeavourOS Linux](https://endeavouros.cz/)

<div style="text-align: center;">
  Copyright © Lukáš Kaňka 2024 - 2025 
</div>
